<?xml version="1.0" encoding="UTF-8"?>
<!-- Created with Jaspersoft Studio version 6.5.1.final using JasperReports Library version 6.5.1  -->
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="DriverActivity" pageWidth="2000" pageHeight="5000" orientation="Landscape" whenNoDataType="NoDataSection" columnWidth="1960" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20" isIgnorePagination="true" uuid="5605c8dd-169c-479d-b39b-ea967867e02b">
	<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
	<property name="com.jaspersoft.studio.data.defaultdataadapter" value="mpm-motor"/>
	<property name="com.jaspersoft.studio.unit." value="pixel"/>
	<property name="com.jaspersoft.studio.unit.pageHeight" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.pageWidth" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.topMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.bottomMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.leftMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.rightMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.columnWidth" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.columnSpacing" value="pixel"/>
	<style name="Table_TH" mode="Opaque" backcolor="#F0F8FF">
		<box>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table_CH" mode="Opaque" backcolor="#BBBDBF">
		<box>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table_TD" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<subDataset name="Dataset1" uuid="9048dabb-804d-4e5f-91dc-89de2b2c2e6e">
		<property name="com.jaspersoft.studio.data.defaultdataadapter" value="mpm-motor"/>
		<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
		<parameter name="date_from" class="java.lang.String"/>
		<parameter name="date_thru" class="java.lang.String"/>
		<parameter name="namacabang" class="java.lang.String"/>
		<queryString>
			<![CDATA[select distinct 
a.iddriver, d.fname , 
sum(case when o.idstatustype = 23 and convert(date,o.dtfrom) = convert(date,e.dtschedulle) then 1 else 0 end) as 'hari yang sama',
sum(case when o.idstatustype = 23 and convert(date,o.dtfrom) = convert(date,$P{date_thru}) then 1 else 0 end) as 'hari ini',
sum(case when o.idstatustype = 23 then 1 else 0 end) AS PEMBAGI,
sum(case when o.idstatustype = 23 and e.dtschedulle between $P{date_from} and $P{date_thru}  then 1 else 0 end) as 's/d hari ini'


	from shipment_outgoing a
	left join driver b on (a.iddriver = b.idparrol)
	left join party_role c on (b.idparrol = c.idparrol)
	left join person d on (c.idparty = d.idparty)
	left join shipment e on (a.idshipment = e.idshipment)
	left join ship_to f on (e.idshito = f.idshipto)
	left join party g on (f.idparty = g.idparty)
	left join party_contact_mechanism h on (g.idparty = h.idparty)
	left join person s on (g.idparty = s.idparty)
	left join postal_address t on (h.idcontact = t.idcontact)
	left join shipment_item i on (a.idshipment = i.idshipment)
	left join shipment_billing_item sbi on i.idshiite = sbi.idshiite
	left join billing_item bii on sbi.idbilite = bii.idbilite 
	left join inventory_item itm on bii.idinvite = itm.idinvite
	left join product u on (i.idproduct = u.idproduct)
	
	left join facility m on (itm.idfacility = m.idfacility)
	left join container n on (itm.idcontainer = n.idcontainer)
	left join shipment_status o on (a.idshipment = o.idshipment) and CURRENT_TIMESTAMP between o.dtfrom and o.dtthru
	left join status_type st on o.idstatustype = st.idstatustype
	left join order_shipment_item p on (i.idshiite = p.idshiite)
	left join order_item q on (p.idordite = q.idordite)
	left join feature k on (q.idfeature = k.idfeature)
	left join orders r on (q.idorder = r.idorder)
	left join vehicle_sales_order vso on r.idorder = vso.idorder
	left join sales_unit_requirement sur on sur.idreq = vso.idunitreq
	left join geo_boundary dis on t.iddistrict = dis.idgeobou
	left join geo_boundary cit on t.idcity = cit.idgeobou
	left join geo_boundary pov on t.idprovince = pov.idgeobou
	left join internal itl on sur.idinternal = itl.idinternal
	left join organization org on itl.idparty = org.idparty
	
	where e.dtschedulle between $P{date_from} and $P{date_thru} and itl.idinternal = $P{namacabang} 
	and o.idstatustype in (22, 23, 26, 13) and d.fname is not null and t.address1 is not null
	group by a.iddriver, d.fname
	order by a.iddriver asc]]>
		</queryString>
		<field name="iddriver" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.label" value="iddriver"/>
		</field>
		<field name="fname" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.label" value="fname"/>
		</field>
		<field name="hari yang sama" class="java.lang.Integer">
			<property name="com.jaspersoft.studio.field.label" value="hari yang sama"/>
		</field>
		<field name="hari ini" class="java.lang.Integer">
			<property name="com.jaspersoft.studio.field.label" value="hari ini"/>
		</field>
		<field name="PEMBAGI" class="java.lang.Integer">
			<property name="com.jaspersoft.studio.field.label" value="PEMBAGI"/>
		</field>
		<field name="s/d hari ini" class="java.lang.Integer">
			<property name="com.jaspersoft.studio.field.label" value="s/d hari ini"/>
		</field>
		<variable name="iddriver1" class="java.lang.Integer" resetType="Column" calculation="DistinctCount">
			<variableExpression><![CDATA[$F{iddriver}]]></variableExpression>
		</variable>
		<variable name="iddriver2" class="java.lang.Integer" resetType="Column" calculation="Count">
			<variableExpression><![CDATA[$F{iddriver}]]></variableExpression>
		</variable>
		<variable name="s/d hari ini1" class="java.lang.Integer" resetType="Column" calculation="Sum">
			<variableExpression><![CDATA[$F{s/d hari ini}]]></variableExpression>
		</variable>
		<variable name="hari ini1" class="java.lang.Integer" resetType="Column" calculation="Sum">
			<variableExpression><![CDATA[$F{hari ini}]]></variableExpression>
		</variable>
		<variable name="hari yang sama1" class="java.lang.Integer" resetType="Column" calculation="Sum">
			<variableExpression><![CDATA[$F{hari yang sama}]]></variableExpression>
		</variable>
		<variable name="total keseluruhan" class="java.lang.Integer" calculation="DistinctCount">
			<variableExpression><![CDATA[$F{PEMBAGI}]]></variableExpression>
		</variable>
	</subDataset>
	<parameter name="date_from" class="java.lang.String"/>
	<parameter name="date_thru" class="java.lang.String"/>
	<parameter name="namacabang" class="java.lang.String"/>
	<queryString language="SQL">
		<![CDATA[select distinct 
itl.idinternal,
org.name as dealer,
e.dtcreatenumber as dtorder , 
e.shipmentnumber,
a.note, 
a.iddriver, 
case when a.iddriver is not null then concat(d.fname,' ',d.lname) 
else a.othername end as Nama_driver, 

concat(s.fname,' ', s.lname) as 'Namacustomer', 
concat(t.address1,' ',t.address2,' ',dis.description,' ',cit.description,' ',pov.description ) as 'Alamat Konsumen', 
a.deliveryaddress, 
u.description, 
u.name as marketname, 
sur.prodyear as yearofass, 
k.description as warna, 
case when a.iddriver is null then 'External' 
else 'Internal' end as 'container',

case when m.description is null then isnull(n.code,'')  
else isnull(m.description,'') 
end as gudang,
e.dtschedulle as jdwl_pengiriman, 
 
case 
when st.idstatustype = 23 then 'COMPLETE' 
when st.idstatustype = 22 then 'ASSIGN_DRIVER'
when st.idstatustype = 26 then 'ASSIGN_DRIVER_EKSTERNAL'
when st.idstatustype = 13 then 'CANCEL'
when st.idstatustype = 21 then 'CANCEL'
end as status_pengiriman, 
(select top 1 sts.dtfrom from shipment_status sts where a.idshipment = sts.idshipment and sts.idstatustype = 23) as vrtglpengiriman,
datediff(day,(select top 1 sts.dtfrom from shipment_status sts where a.idshipment = sts.idshipment and sts.idstatustype = 22),(select top 1 sts.dtfrom from shipment_status sts where a.idshipment = sts.idshipment and sts.idstatustype = 23)) as 'lt_assi/dkirirm',
datediff(day,e.dtschedulle,(select top 1 sts.dtfrom from shipment_status sts where a.idshipment = sts.idshipment and sts.idstatustype = 23)) as 'lt_jadwals/dkirirm',
(select top 1 sts.dtfrom from shipment_status sts where a.idshipment = sts.idshipment and sts.idstatustype = 22) as 'tglassign'

	from shipment_outgoing a
	left join driver b on (a.iddriver = b.idparrol)
	left join party_role c on (b.idparrol = c.idparrol)
	left join person d on (c.idparty = d.idparty)
	left join shipment e on (a.idshipment = e.idshipment)
	left join ship_to f on (e.idshito = f.idshipto)
	left join party g on (f.idparty = g.idparty)
	left join party_contact_mechanism h on (g.idparty = h.idparty)
	left join person s on (g.idparty = s.idparty)
	left join postal_address t on (h.idcontact = t.idcontact)
	left join shipment_item i on (a.idshipment = i.idshipment)
	left join shipment_billing_item sbi on i.idshiite = sbi.idshiite
	left join billing_item bii on sbi.idbilite = bii.idbilite 
	left join inventory_item itm on bii.idinvite = itm.idinvite
	left join product u on (i.idproduct = u.idproduct)
	
	left join facility m on (itm.idfacility = m.idfacility)
	left join container n on (itm.idcontainer = n.idcontainer)
	left join shipment_status o on (a.idshipment = o.idshipment) and CURRENT_TIMESTAMP between o.dtfrom and o.dtthru
	left join status_type st on o.idstatustype = st.idstatustype
	left join order_shipment_item p on (i.idshiite = p.idshiite)
	left join order_item q on (p.idordite = q.idordite)
	left join feature k on (q.idfeature = k.idfeature)
	left join orders r on (q.idorder = r.idorder)
	left join vehicle_sales_order vso on r.idorder = vso.idorder
	left join sales_unit_requirement sur on sur.idreq = vso.idunitreq
	left join geo_boundary dis on t.iddistrict = dis.idgeobou
	left join geo_boundary cit on t.idcity = cit.idgeobou
	left join geo_boundary pov on t.idprovince = pov.idgeobou
	left join internal itl on sur.idinternal = itl.idinternal
	left join organization org on itl.idparty = org.idparty
	
	where e.dtschedulle between $P{date_from} and $P{date_thru} and itl.idinternal = $P{namacabang} 
	and o.idstatustype in (22, 23, 26, 13, 21) 
	--and d.fname is not null 
	and t.address1 is not null
	order by e.dtschedulle asc]]>
	</queryString>
	<field name="dtorder" class="java.sql.Date">
		<property name="com.jaspersoft.studio.field.label" value="dtorder"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="orders"/>
	</field>
	<field name="shipmentnumber" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="shipmentnumber"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="shipment"/>
	</field>
	<field name="iddriver" class="java.lang.Object">
		<property name="com.jaspersoft.studio.field.label" value="iddriver"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="shipment_outgoing"/>
	</field>
	<field name="lt_assi/dkirirm" class="java.lang.Integer">
		<property name="com.jaspersoft.studio.field.label" value="lt_assi/dkirirm"/>
	</field>
	<field name="tglassign" class="java.sql.Timestamp">
		<property name="com.jaspersoft.studio.field.label" value="tglassign"/>
	</field>
	<field name="Nama_driver" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="Nama_driver"/>
	</field>
	<field name="note" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="note"/>
	</field>
	<field name="idinternal" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="idinternal"/>
	</field>
	<field name="dealer" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="dealer"/>
	</field>
	<field name="Namacustomer" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="Namacustomer"/>
	</field>
	<field name="Alamat Konsumen" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="Alamat Konsumen"/>
	</field>
	<field name="deliveryaddress" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="deliveryaddress"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="shipment_outgoing"/>
	</field>
	<field name="description" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="description"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="product"/>
	</field>
	<field name="marketname" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="marketname"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="motor"/>
	</field>
	<field name="yearofass" class="java.lang.Integer">
		<property name="com.jaspersoft.studio.field.label" value="yearofass"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="vehicle"/>
	</field>
	<field name="warna" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="warna"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="feature"/>
	</field>
	<field name="container" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="container"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="container"/>
	</field>
	<field name="jdwl_pengiriman" class="java.sql.Timestamp">
		<property name="com.jaspersoft.studio.field.label" value="jdwl_pengiriman"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="shipment"/>
	</field>
	<field name="gudang" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="gudang"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="facility"/>
	</field>
	<field name="status_pengiriman" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="status_pengiriman"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="status_type"/>
	</field>
	<field name="vrtglpengiriman" class="java.sql.Date">
		<property name="com.jaspersoft.studio.field.label" value="vrtglpengiriman"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="vehicle_sales_order"/>
	</field>
	<field name="lt_jadwals/dkirirm" class="java.lang.Integer">
		<property name="com.jaspersoft.studio.field.label" value="lt_jadwals/dkirirm"/>
	</field>
	<variable name="dtorder1" class="java.lang.Integer" resetType="Page" calculation="DistinctCount">
		<variableExpression><![CDATA[$F{dtorder}]]></variableExpression>
	</variable>
	<variable name="dtorder2" class="java.lang.Integer" resetType="Page" calculation="Count">
		<variableExpression><![CDATA[$F{dtorder}]]></variableExpression>
	</variable>
	<variable name="shipmentnumber1" class="java.lang.Integer" resetType="Page" calculation="DistinctCount">
		<variableExpression><![CDATA[$F{shipmentnumber}]]></variableExpression>
	</variable>
	<variable name="Nama_driver1" class="java.lang.Integer" calculation="Count">
		<variableExpression><![CDATA[$F{Nama_driver}]]></variableExpression>
	</variable>
	<variable name="lt_jadwals/dkirirm1" class="java.lang.Integer" resetType="Column" calculation="Highest">
		<variableExpression><![CDATA[$F{lt_jadwals/dkirirm}]]></variableExpression>
	</variable>
	<variable name="shipmentnumber2" class="java.lang.Integer" calculation="Count">
		<variableExpression><![CDATA[$F{shipmentnumber}]]></variableExpression>
	</variable>
	<variable name="shipmentnumber3" class="java.lang.Integer" calculation="DistinctCount">
		<variableExpression><![CDATA[$F{shipmentnumber}]]></variableExpression>
	</variable>
	<variable name="shipmentnumber4" class="java.lang.Integer" calculation="Count">
		<variableExpression><![CDATA[$F{shipmentnumber}]]></variableExpression>
	</variable>
	<variable name="shipmentnumber5" class="java.lang.Integer" calculation="DistinctCount">
		<variableExpression><![CDATA[$F{shipmentnumber}]]></variableExpression>
	</variable>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band height="30" splitType="Stretch">
			<staticText>
				<reportElement x="0" y="0" width="241" height="30" uuid="05f3d940-4328-4f46-9896-1bb878d9789a">
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
				</reportElement>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font size="16" isBold="true"/>
				</textElement>
				<text><![CDATA[Report Driver Activity]]></text>
			</staticText>
		</band>
	</title>
	<pageHeader>
		<band height="40" splitType="Stretch">
			<textField>
				<reportElement x="0" y="0" width="241" height="20" uuid="69be29d5-d74a-4389-a544-882f904a467b">
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
				</reportElement>
				<textFieldExpression><![CDATA[$P{date_from} +"  S/D  "+$P{date_thru}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="0" y="20" width="241" height="19" uuid="bcca81ba-e1bf-47d4-895f-b0c6d785facb">
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
				</reportElement>
				<textFieldExpression><![CDATA[$F{dealer}]]></textFieldExpression>
			</textField>
			<textField pattern="MMMMM dd, yyyy">
				<reportElement x="1701" y="20" width="109" height="19" uuid="c8c26894-fe68-46a6-ad36-25a9c7d5cd2c">
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
				</reportElement>
				<textElement textAlignment="Right"/>
				<textFieldExpression><![CDATA[new java.util.Date()]]></textFieldExpression>
			</textField>
		</band>
	</pageHeader>
	<columnHeader>
		<band height="25" splitType="Stretch">
			<staticText>
				<reportElement x="31" y="0" width="80" height="25" uuid="8e6e8835-549e-46e1-a1fb-74f7ca8907e6">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="6569f2b4-70cf-45a1-af7b-7b2d62497c5c"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<text><![CDATA[Tgl Reference]]></text>
			</staticText>
			<staticText>
				<reportElement x="111" y="0" width="130" height="25" uuid="751904af-049d-4f09-ac88-b1ae99980a53">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="3079bc3b-fb57-474e-bf98-4d33acf4be5b"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<text><![CDATA[No Reference]]></text>
			</staticText>
			<staticText>
				<reportElement x="241" y="0" width="80" height="25" uuid="c3cf9829-4268-4fd2-ad36-45b8b679fb84">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="60bf4a69-75fb-4131-9a50-85ae4c315110"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<text><![CDATA[Nama Driver]]></text>
			</staticText>
			<staticText>
				<reportElement x="321" y="0" width="70" height="25" uuid="b2523cb3-c6a9-477e-ba7d-ce8dbb8fbee0">
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<text><![CDATA[Tipe Driver]]></text>
			</staticText>
			<staticText>
				<reportElement x="391" y="0" width="100" height="25" uuid="16315e67-f083-4292-b4ad-00bd0cae763b">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="eb9c15de-f703-435a-85f4-f330eaf2ac75"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="7"/>
				</textElement>
				<text><![CDATA[Nama Customer / Requester]]></text>
			</staticText>
			<staticText>
				<reportElement x="491" y="0" width="180" height="25" uuid="b1ea1f27-0033-4ca5-99d3-62606af884e3">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="d59aade8-5b9f-46cb-99bf-aef19f629ae6"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<text><![CDATA[Alamat Customer / Requester]]></text>
			</staticText>
			<staticText>
				<reportElement x="671" y="0" width="170" height="25" uuid="17bc4c4b-5f22-47dc-89f2-8352c21d56c2">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="f1adad2f-aacb-4752-b2c9-3e3c2385e73f"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<text><![CDATA[Alamat Kirim]]></text>
			</staticText>
			<staticText>
				<reportElement x="841" y="0" width="80" height="25" uuid="d3e53d24-f769-4684-a2ad-1debc07544c5">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="cdb09f3f-1d07-4cae-9ab6-8771c89f9837"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<text><![CDATA[Description Code]]></text>
			</staticText>
			<staticText>
				<reportElement x="921" y="0" width="100" height="25" uuid="9f93438e-0c3b-46eb-961b-cdf2ab72352a">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="d0a2e3f8-65a3-4cbd-9f1f-ced6573ab920"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<text><![CDATA[Market Name]]></text>
			</staticText>
			<staticText>
				<reportElement x="1021" y="0" width="50" height="25" uuid="a060a39a-019d-40e8-b6ad-6a487545ce9e">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="c22b2bab-bd84-4520-b446-535206a6eb0d"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<text><![CDATA[Tahun]]></text>
			</staticText>
			<staticText>
				<reportElement x="1071" y="0" width="60" height="25" uuid="567f075d-754c-488f-97a8-9fd73927274b">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="902071d1-2f78-4912-ad9c-b3e3b0e9e980"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<text><![CDATA[Warna]]></text>
			</staticText>
			<staticText>
				<reportElement x="1131" y="0" width="70" height="25" uuid="d0170afb-4ba6-4e08-aeb7-a9835b95b915">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="64dbbfce-4f55-4a9a-98bd-fddeedb22022"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<text><![CDATA[Gudang]]></text>
			</staticText>
			<staticText>
				<reportElement x="1201" y="0" width="100" height="25" uuid="6c03e89c-2e81-47eb-9d44-c4f5f1dd0315">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="ba9519b2-c554-494a-ab0e-f58f80539cdb"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<text><![CDATA[Tanggal Jadwal Kirim]]></text>
			</staticText>
			<staticText>
				<reportElement x="1301" y="0" width="100" height="25" uuid="fb3e8077-9249-435a-a962-7718031acd5d">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="e99894ba-a1b7-4b5e-b9ac-483848457282"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<text><![CDATA[Tgl Pengiriman]]></text>
			</staticText>
			<staticText>
				<reportElement x="1401" y="0" width="100" height="25" uuid="be09aad2-9e94-46b2-9f81-1794e1157883">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="afd3a2b8-a767-4c79-bac0-d807f59b4aad"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<text><![CDATA[Status Pengiriman]]></text>
			</staticText>
			<staticText>
				<reportElement x="1501" y="0" width="90" height="25" uuid="32b8427e-9797-431d-9dd7-acd5583838d4">
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<text><![CDATA[Keterangan]]></text>
			</staticText>
			<staticText>
				<reportElement x="1591" y="0" width="110" height="25" uuid="1cf6d352-d9fd-4c2b-b28c-c490edda08ae">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="5f17e016-0a54-40ed-a2a5-e4956fd9e7ac"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<text><![CDATA[LT Jadwal s/d Terkirim]]></text>
			</staticText>
			<staticText>
				<reportElement x="1701" y="0" width="109" height="25" uuid="54b78cb6-16aa-4b3c-b966-315ce00fa6d1">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="5f17e016-0a54-40ed-a2a5-e4956fd9e7ac"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<text><![CDATA[LT Assign s/d Terkirim]]></text>
			</staticText>
			<staticText>
				<reportElement x="0" y="0" width="31" height="25" uuid="0002d1ee-dc46-4852-9a14-0dc0b5de25c2">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="6569f2b4-70cf-45a1-af7b-7b2d62497c5c"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<text><![CDATA[No]]></text>
			</staticText>
		</band>
	</columnHeader>
	<detail>
		<band height="30" splitType="Stretch">
			<property name="com.jaspersoft.studio.layout"/>
			<textField pattern="dd-MMMM-YYYY" isBlankWhenNull="true">
				<reportElement x="31" y="0" width="80" height="30" uuid="81f49abd-25d7-4603-be32-a587e376ae2a">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="6569f2b4-70cf-45a1-af7b-7b2d62497c5c"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{dtorder}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="111" y="0" width="130" height="30" uuid="898bed18-7c7f-4a0c-afd5-560a9169a3e2">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="3079bc3b-fb57-474e-bf98-4d33acf4be5b"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{shipmentnumber}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="241" y="0" width="80" height="30" uuid="46bd39c9-e26f-4692-ab6f-853580f7bf03">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="60bf4a69-75fb-4131-9a50-85ae4c315110"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Nama_driver}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="391" y="0" width="100" height="30" uuid="8840dc89-b612-4270-a2b0-4abe3210bc45">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="eb9c15de-f703-435a-85f4-f330eaf2ac75"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Namacustomer}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="491" y="0" width="180" height="30" uuid="0cc7ea7a-a141-41f2-87f4-c7af13bd76bf">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="d59aade8-5b9f-46cb-99bf-aef19f629ae6"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="6"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Alamat Konsumen}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="671" y="0" width="170" height="30" uuid="63e5fdd7-4706-49a8-83c2-8f6078c4e000">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="f1adad2f-aacb-4752-b2c9-3e3c2385e73f"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="6"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{deliveryaddress}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="841" y="0" width="80" height="30" uuid="71f65e61-7386-41bd-968e-58de1c4c02ec">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="cdb09f3f-1d07-4cae-9ab6-8771c89f9837"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{description}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="921" y="0" width="100" height="30" uuid="b6b85204-20db-407f-92ef-c050762a53b4">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="d0a2e3f8-65a3-4cbd-9f1f-ced6573ab920"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{marketname}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="1021" y="0" width="50" height="30" uuid="8aeed6d9-1705-4e22-a93e-41f7e0070f0c">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="c22b2bab-bd84-4520-b446-535206a6eb0d"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{yearofass}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="1071" y="0" width="60" height="30" uuid="a0973ca7-10a0-403f-8ae9-cf6ca21ac565">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="902071d1-2f78-4912-ad9c-b3e3b0e9e980"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{warna}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="1131" y="0" width="70" height="30" uuid="7a191d63-71f8-4851-bd69-58d56e5d00e2">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="64dbbfce-4f55-4a9a-98bd-fddeedb22022"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{gudang}]]></textFieldExpression>
			</textField>
			<textField pattern="dd-MMMM-YYYY" isBlankWhenNull="true">
				<reportElement x="1201" y="0" width="100" height="30" uuid="baedc48b-309c-48fc-9c77-d86279c42784">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="ba9519b2-c554-494a-ab0e-f58f80539cdb"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{jdwl_pengiriman}]]></textFieldExpression>
			</textField>
			<textField pattern="dd-MMMM-YYYY" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToBandHeight" x="1301" y="0" width="100" height="30" uuid="5f840944-6c72-4526-aaf2-717218d81a90">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="e99894ba-a1b7-4b5e-b9ac-483848457282"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{vrtglpengiriman}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="1401" y="0" width="100" height="30" uuid="7d0e56f0-1fbc-474d-bc99-3b41002c6cc9">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="afd3a2b8-a767-4c79-bac0-d807f59b4aad"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{status_pengiriman}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="1591" y="0" width="110" height="30" uuid="146c8def-1295-47d9-bf79-209937851c04">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="5f17e016-0a54-40ed-a2a5-e4956fd9e7ac"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{lt_jadwals/dkirirm}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="0" y="0" width="31" height="30" uuid="b57a8bf6-1c0b-4640-b3c3-2974e6552588">
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{shipmentnumber4}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="321" y="0" width="70" height="30" uuid="89625ba6-7cff-45a7-b6ac-98715f58a3ce">
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{container}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="1501" y="0" width="90" height="30" uuid="f5200c6b-fd1d-4f44-a24e-db194ab8b291">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="8ac48ecb-790b-4056-90a6-509eea83e7a8"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{note}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="1701" y="0" width="109" height="30" uuid="3a110970-2bea-4c8e-9cde-2337bc85e6be">
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{lt_assi/dkirirm}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<summary>
		<band height="161" splitType="Stretch">
			<textField isBlankWhenNull="true">
				<reportElement x="1540" y="0" width="110" height="22" uuid="2c924ad8-02a5-4426-9a45-46892dd6a7d3">
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{lt_jadwals/dkirirm1}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="0" y="0" width="1540" height="22" uuid="6f564381-c8d1-450d-a6d9-5daf1c579af7"/>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA["SubTotal   :  "+$V{shipmentnumber2}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="0" y="22" width="1810" height="20" uuid="9ff2e285-6557-4b51-89e1-429cb49c33bb"/>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA["Total  :  "+$V{shipmentnumber2}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="1650" y="0" width="160" height="22" uuid="edbbb547-860e-4679-80db-f96316956ff8">
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<text><![CDATA[]]></text>
			</staticText>
			<componentElement>
				<reportElement x="0" y="60" width="671" height="90" uuid="ebcfaaf9-a4ce-4ead-a3d8-b1866c411915">
					<property name="com.jaspersoft.studio.layout" value="com.jaspersoft.studio.editor.layout.VerticalRowLayout"/>
					<property name="com.jaspersoft.studio.table.style.table_header" value="Table_TH"/>
					<property name="com.jaspersoft.studio.table.style.column_header" value="Table_CH"/>
					<property name="com.jaspersoft.studio.table.style.detail" value="Table_TD"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
					<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
				</reportElement>
				<jr:table xmlns:jr="http://jasperreports.sourceforge.net/jasperreports/components" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports/components http://jasperreports.sourceforge.net/xsd/components.xsd">
					<datasetRun subDataset="Dataset1" uuid="434b2250-73d8-4e81-8943-e912de0fb25e">
						<datasetParameter name="date_from">
							<datasetParameterExpression><![CDATA[$P{date_from}]]></datasetParameterExpression>
						</datasetParameter>
						<datasetParameter name="date_thru">
							<datasetParameterExpression><![CDATA[$P{date_thru}]]></datasetParameterExpression>
						</datasetParameter>
						<datasetParameter name="namacabang">
							<datasetParameterExpression><![CDATA[$P{namacabang}]]></datasetParameterExpression>
						</datasetParameter>
						<connectionExpression><![CDATA[$P{REPORT_CONNECTION}]]></connectionExpression>
					</datasetRun>
					<jr:column width="30" uuid="8d1dd078-7211-43c1-b8cb-29327ea9caee">
						<property name="com.jaspersoft.studio.components.table.model.column.name" value="Column1"/>
						<jr:columnHeader style="Table_CH" height="30">
							<staticText>
								<reportElement x="0" y="0" width="30" height="30" uuid="90c18cf6-2c48-4eb8-834a-ddd7c5d90213">
									<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
									<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
								</reportElement>
								<textElement textAlignment="Center" verticalAlignment="Middle">
									<font size="8"/>
								</textElement>
								<text><![CDATA[NO]]></text>
							</staticText>
						</jr:columnHeader>
						<jr:columnFooter style="Table_CH" height="30" rowSpan="1"/>
						<jr:detailCell style="Table_TD" height="30">
							<textField>
								<reportElement x="0" y="0" width="30" height="30" uuid="aeec5d45-f423-4e93-9e9f-4c1206990206">
									<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
									<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
								</reportElement>
								<textElement textAlignment="Center" verticalAlignment="Middle">
									<font size="8"/>
								</textElement>
								<textFieldExpression><![CDATA[$V{iddriver2}]]></textFieldExpression>
							</textField>
						</jr:detailCell>
					</jr:column>
					<jr:column width="210" uuid="bef0355f-0742-4618-8eea-b92157b228ac">
						<property name="com.jaspersoft.studio.components.table.model.column.name" value="Column2"/>
						<jr:columnHeader style="Table_CH" height="30">
							<staticText>
								<reportElement x="0" y="0" width="210" height="30" uuid="56e3d5e0-6d17-4327-a7ae-ba5da8778ec3">
									<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
									<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
								</reportElement>
								<textElement textAlignment="Center" verticalAlignment="Middle">
									<font size="8"/>
								</textElement>
								<text><![CDATA[NAMA DRIVER]]></text>
							</staticText>
						</jr:columnHeader>
						<jr:columnFooter style="Table_CH" height="30" rowSpan="1">
							<textField>
								<reportElement x="0" y="0" width="210" height="30" uuid="66c1c68b-7337-4119-a485-f9accc4b3dea">
									<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
									<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
								</reportElement>
								<textElement textAlignment="Left" verticalAlignment="Middle">
									<font size="9"/>
								</textElement>
								<textFieldExpression><![CDATA["TOTAL   :  "+$V{COLUMN_COUNT}]]></textFieldExpression>
							</textField>
						</jr:columnFooter>
						<jr:detailCell style="Table_TD" height="30">
							<textField>
								<reportElement x="0" y="0" width="210" height="30" uuid="1073477d-c79e-46ef-95a6-0bc73e1520de">
									<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
									<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
								</reportElement>
								<textElement textAlignment="Center" verticalAlignment="Middle">
									<font size="8"/>
								</textElement>
								<textFieldExpression><![CDATA[$F{fname}]]></textFieldExpression>
							</textField>
						</jr:detailCell>
					</jr:column>
					<jr:column width="80" uuid="1dac30e8-a2c8-4b7a-aaee-3bdc837a4f06">
						<property name="com.jaspersoft.studio.components.table.model.column.name" value="Column3"/>
						<jr:columnHeader style="Table_CH" height="30">
							<staticText>
								<reportElement x="0" y="0" width="80" height="30" uuid="acc9ff23-1ebe-4447-b8f0-6de06aa256a5">
									<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
									<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
								</reportElement>
								<textElement textAlignment="Center" verticalAlignment="Middle">
									<font size="8"/>
								</textElement>
								<text><![CDATA[HARI INI]]></text>
							</staticText>
						</jr:columnHeader>
						<jr:columnFooter style="Table_CH" height="30" rowSpan="1">
							<textField>
								<reportElement x="0" y="0" width="80" height="30" uuid="6cbd38bf-df45-4b6e-ba2a-bb7319aba6f5"/>
								<textElement textAlignment="Center" verticalAlignment="Middle">
									<font size="9"/>
								</textElement>
								<textFieldExpression><![CDATA[$V{hari ini1}]]></textFieldExpression>
							</textField>
						</jr:columnFooter>
						<jr:detailCell style="Table_TD" height="30">
							<textField>
								<reportElement x="0" y="0" width="80" height="30" uuid="a7aab5f1-4f58-416f-b6c0-b3b233777ac4">
									<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
									<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
								</reportElement>
								<textElement textAlignment="Center" verticalAlignment="Middle">
									<font size="8"/>
								</textElement>
								<textFieldExpression><![CDATA[$F{hari ini}]]></textFieldExpression>
							</textField>
						</jr:detailCell>
					</jr:column>
					<jr:column width="70" uuid="2a48d0ac-d806-447a-8893-39642c397548">
						<property name="com.jaspersoft.studio.components.table.model.column.name" value="Column4"/>
						<jr:columnHeader style="Table_CH" height="30">
							<staticText>
								<reportElement x="0" y="0" width="70" height="30" uuid="bfdb0655-9c9d-4145-9de9-3ae514ef0924">
									<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
									<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
								</reportElement>
								<textElement textAlignment="Center" verticalAlignment="Middle">
									<font size="8"/>
								</textElement>
								<text><![CDATA[S/D HARI INI]]></text>
							</staticText>
						</jr:columnHeader>
						<jr:columnFooter style="Table_CH" height="30" rowSpan="1">
							<textField>
								<reportElement x="0" y="0" width="70" height="30" uuid="ff04f257-a4dc-4063-a237-2088ac1febe1"/>
								<textElement textAlignment="Center" verticalAlignment="Middle">
									<font size="9"/>
								</textElement>
								<textFieldExpression><![CDATA[$V{s/d hari ini1}]]></textFieldExpression>
							</textField>
						</jr:columnFooter>
						<jr:detailCell style="Table_TD" height="30">
							<textField>
								<reportElement x="0" y="0" width="70" height="30" uuid="b47d13c8-f6ed-4133-a4b6-9aac25b0fb66">
									<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
									<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
								</reportElement>
								<textElement textAlignment="Center" verticalAlignment="Middle">
									<font size="8"/>
								</textElement>
								<textFieldExpression><![CDATA[$F{s/d hari ini}]]></textFieldExpression>
							</textField>
						</jr:detailCell>
					</jr:column>
					<jr:column width="100" uuid="cd635716-4366-4236-b8b4-6b6bb6d93007">
						<property name="com.jaspersoft.studio.components.table.model.column.name" value="Column5"/>
						<jr:columnHeader style="Table_CH" height="30">
							<staticText>
								<reportElement x="0" y="0" width="100" height="30" uuid="e177e1aa-9b4b-4777-a284-d606cd3ad242">
									<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
									<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
								</reportElement>
								<textElement textAlignment="Center" verticalAlignment="Middle">
									<font size="8"/>
								</textElement>
								<text><![CDATA[% HARI YANG SAMA]]></text>
							</staticText>
						</jr:columnHeader>
						<jr:columnFooter style="Table_CH" height="30" rowSpan="1">
							<textField pattern="###0.##%">
								<reportElement x="0" y="0" width="100" height="30" uuid="806c3d1c-2737-419a-b082-363e9bb0722d"/>
								<textElement textAlignment="Center" verticalAlignment="Middle">
									<font size="9"/>
								</textElement>
								<textFieldExpression><![CDATA[$V{hari yang sama1}.doubleValue() / $V{s/d hari ini1}.doubleValue()]]></textFieldExpression>
							</textField>
						</jr:columnFooter>
						<jr:detailCell style="Table_TD" height="30">
							<textField pattern="###0.##%">
								<reportElement x="0" y="0" width="100" height="30" uuid="56294c68-d6d6-463e-b1cc-7632be758ad7">
									<property name="net.sf.jasperreports.export.xls.auto.fit.row" value="true"/>
									<property name="net.sf.jasperreports.export.xls.auto.fit.column" value="true"/>
								</reportElement>
								<textElement textAlignment="Center" verticalAlignment="Middle">
									<font size="8"/>
								</textElement>
								<textFieldExpression><![CDATA[$F{hari yang sama}.doubleValue() / $F{PEMBAGI}.doubleValue()]]></textFieldExpression>
							</textField>
						</jr:detailCell>
					</jr:column>
				</jr:table>
			</componentElement>
		</band>
	</summary>
</jasperReport>
